import request from '@/utils/request';

// 查询电网供应计量-小时列表
export function listPgSupplyH(query) {
  return request({
    url: '/ems/pg/supply/hour/list',
    method: 'get',
    params: query
  })
}

// 查询电网供应计量-小时详细
export function getPgSupplyH(id) {
  return request({
    url: '/ems/pg/supply/hour/' + id,
    method: 'get'
  })
}

// 新增电网供应计量-小时
export function addPgSupplyH(data) {
  return request({
    url: '/ems/pg/supply/hour',
    method: 'post',
    data: data
  })
}

// 修改电网供应计量-小时
export function updatePgSupplyH(data) {
  return request({
    url: '/ems/pg/supply/hour',
    method: 'put',
    data: data
  })
}

// 删除电网供应计量-小时
export function delPgSupplyH(id) {
  return request({
    url: '/ems/pg/supply/hour/' + id,
    method: 'delete'
  })
}
// 查询光伏供应计量
export function listPvSupplyH(query) {
  return request({
    url: '/ems/prod/list',
    method: 'get',
    params: query
  })
}
